diff -ur LWPx-ParanoidAgent-1.04/lib/LWPx/ParanoidAgent.pm LWPx-ParanoidAgent-1.04-my/lib/LWPx/ParanoidAgent.pm
--- LWPx-ParanoidAgent-1.04/lib/LWPx/ParanoidAgent.pm	2008-10-31 09:29:25.000000000 +0300
+++ LWPx-ParanoidAgent-1.04-my/lib/LWPx/ParanoidAgent.pm	2008-12-25 06:34:21.000000000 +0300
@@ -243,7 +243,6 @@
     return _new_response($request, &HTTP::Status::RC_BAD_REQUEST, "Only http and https are supported by ParanoidAgent")
         unless $scheme eq "http" || $scheme eq "https";
 
-    LWP::Debug::trace("$method $url");
 
     my $protocol;
 
@@ -253,22 +252,18 @@
         my $x;
         if($x       = $self->protocols_allowed) {
             if(grep lc($_) eq $scheme, @$x) {
-                LWP::Debug::trace("$scheme URLs are among $self\'s allowed protocols (@$x)");
               }
             else {
-                LWP::Debug::trace("$scheme URLs aren't among $self\'s allowed protocols (@$x)");
                   require LWP::Protocol::nogo;
                   $protocol = LWP::Protocol::nogo->new;
               }
         }
         elsif ($x = $self->protocols_forbidden) {
             if(grep lc($_) eq $scheme, @$x) {
-                LWP::Debug::trace("$scheme URLs are among $self\'s forbidden protocols (@$x)");
                   require LWP::Protocol::nogo;
                   $protocol = LWP::Protocol::nogo->new;
               }
             else {
-                LWP::Debug::trace("$scheme URLs aren't among $self\'s forbidden protocols (@$x)");
               }
         }
       # else fall thru and create the protocol object normally
@@ -380,16 +375,13 @@
             if (my $host = eval { $url->host }) {
                 for my $domain (@{ $self->{'no_proxy'} }) {
                     if ($host =~ /\Q$domain\E$/) {
-                        LWP::Debug::trace("no_proxy configured");
                           return;
                       }
                 }
             }
         }
-        LWP::Debug::debug("Proxied to $proxy");
         return $HTTP::URI_CLASS->new($proxy);
     }
-    LWP::Debug::debug('Not proxied');
     undef;
 }
 
diff -ur LWPx-ParanoidAgent-1.04/lib/LWPx/Protocol/http_paranoid.pm LWPx-ParanoidAgent-1.04-my/lib/LWPx/Protocol/http_paranoid.pm
--- LWPx-ParanoidAgent-1.04/lib/LWPx/Protocol/http_paranoid.pm	2006-03-22 04:41:07.000000000 +0300
+++ LWPx-ParanoidAgent-1.04-my/lib/LWPx/Protocol/http_paranoid.pm	2008-12-25 06:34:21.000000000 +0300
@@ -5,7 +5,6 @@
 
 use strict;
 
-require LWP::Debug;
 require HTTP::Response;
 require HTTP::Status;
 require Net::HTTP;
@@ -124,7 +123,6 @@
 sub request
 {
     my($self, $request, $proxy, $arg, $size, $timeout) = @_;
-    LWP::Debug::trace('()');
 
     # paranoid:  now $timeout means total time, not just between bytes coming in.
     # avoids attacker servers from tarpitting a service that fetches URLs.
@@ -209,7 +207,6 @@
 	my $n = $socket->syswrite($req_buf, length($req_buf));
 	die $! unless defined($n);
 	die "short write" unless $n == length($req_buf);
-	#LWP::Debug::conns($req_buf);
     }
 
     my($code, $mess, @junk);
@@ -373,7 +370,6 @@
 	    if (($peer_http_version eq "1.1" && !$connection{close}) ||
 		$connection{"keep-alive"})
 	    {
-		LWP::Debug::debug("Keep the http connection to $host:$port");
 		$conn_cache->deposit("http", "$host:$port", $socket);
 	    }
 	}
